fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2017-12-17
  • 发帖数17456
  • 经验3902枚
  • 威望5点
  • 贡献值3756点
  • 好评度822点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
阅读:591回复:5

Pale Moon fork 了 XUL 的 Mozilla 代码库

楼主#
更多 发布于:2017-06-23 11:07
Pale Moon 早已宣布不支持 Firefox 57,并将继续在传统 XUL 浏览器的基础上衍生开发,这对于那些不喜欢 WebExtensions 不希望使用 Firefox 57 的用户来说是一大福音,这意味着他们还可以继续使用 Firefox 各种强大的扩展。而 Pale Moon 日前也已经 fork 了 Mozilla 2017年早期在 Github 上的代码库,称为 Unified XUL Platform(统一 XUL 平台)。fork 早期的代码库也是为了避免近期代码库对 XUL 做了变动修改导致 fork 者开发修改困难。


使用此 UXP 开发的程序最低系统要求是:
1、至少 1GB 内存。
2、CPU 至少支持 SSE2。
3、Win 7 或更高版本操作系统。
4、Linux 近期内核和系统库。重点支持 GTK3。
5、Mac OS X 10.9 或更高版本系统。


https://www.ghacks.net/2017/06/21/mozilla-fork-unified-xul-platform/

最新喜欢:

yfdyh000yfdyh0...
Firefox More than meets your experience
yfdyh000
千年狐狸
千年狐狸
  • UID29079
  • 注册日期2009-06-07
  • 最后登录2017-12-17
  • 发帖数2018
  • 经验1165枚
  • 威望0点
  • 贡献值52点
  • 好评度115点
  • 社区居民
  • 最爱沙发
  • 忠实会员
1楼#
发布于:2017-06-23 11:21
而 Mozilla 已在计划移除传统附加组件的基础代码:
https://bugzilla.mozilla.org/show_bug.cgi?id=1371064
两者分道扬镳后,不知道用户群会有何种变化。

刚刚发现,https://wiki.mozilla.org/Add-ons/Firefox57 说 Nightly 57 仍能用传统附加组件(修改首选项后),完整主题则被放弃。
fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2017-12-17
  • 发帖数17456
  • 经验3902枚
  • 威望5点
  • 贡献值3756点
  • 好评度822点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
2楼#
发布于:2017-06-23 12:07
yfdyh000:而 Mozilla 已在计划移除传统附加组件的基础代码:
https://bugzilla.mozilla.org/show_bug.cgi?id=1371064
两者分道扬镳后,不知道用户群会有何种变化。

刚刚发现,https://wi...
回到原帖
官方已经确认 57 nightly 确定默认只支持 webext 扩展,到时应该会提供启用传统扩展的选项。
Firefox More than meets your experience
yfdyh000
千年狐狸
千年狐狸
  • UID29079
  • 注册日期2009-06-07
  • 最后登录2017-12-17
  • 发帖数2018
  • 经验1165枚
  • 威望0点
  • 贡献值52点
  • 好评度115点
  • 社区居民
  • 最爱沙发
  • 忠实会员
3楼#
发布于:2017-06-23 12:55
fang5566:官方已经确认 57 nightly 确定默认只支持 webext 扩展,到时应该会提供启用传统扩展的选项。回到原帖
之前好像见某Bug说编译时禁用,而这篇wiki来看是能用Preference启用。
https://bugzilla.mozilla.org/show_bug.cgi?id=1373449 extensions.legacy.enabled
pcxfirefox
千年狐狸
千年狐狸
  • UID39042
  • 注册日期2012-06-22
  • 最后登录2017-12-15
  • 发帖数2539
  • 经验1263枚
  • 威望2点
  • 贡献值242点
  • 好评度133点
  • 最爱沙发
  • 忠实会员
  • 社区居民
4楼#
发布于:2017-06-23 12:56
没啥意思 既然这样为啥不使用firefox的旧版本呢 还比垃圾苍月内核更新更安全
http://pcxfirefox.wordpress.com/
fang5566
管理员
管理员
  • UID3719
  • 注册日期2005-03-07
  • 最后登录2017-12-17
  • 发帖数17456
  • 经验3902枚
  • 威望5点
  • 贡献值3756点
  • 好评度822点
  • 社区居民
  • 最爱沙发
  • 忠实会员
  • 终身成就
5楼#
发布于:2017-06-23 17:46
yfdyh000:之前好像见某Bug说编译时禁用,而这篇wiki来看是能用Preference启用。
https://bugzilla.mozilla.org/show_bug.cgi?id=1373449 extensions.legacy.enabled
回到原帖
确实是这个参数哦,关了还可以看到寻找替代扩展的界面。
Firefox More than meets your experience
游客

返回顶部